Skip to navigation

List workflow task groups

List workflow task groups

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

idsstringOptional
Comma separated list of workflow task group IDs
schemaIdstringOptional
The workflow task schema ID of tasks in this task group
folderIdstringOptional
A folder ID
projectIdstringOptional
A project ID
mentionedInstringOptional
A comma separated list entry IDs
watcherIdsstringOptional>=1 character
Comma separated list of user IDs or "null"
executionTypesstringOptional>=1 character
Comma separated list of workflow execution types. Acceptable execution types are "DIRECT" and "ENTRY"
responsibleTeamIdsstringOptional>=1 character
Comma separated list of team IDs or "null"
statusIds.anyOfstringOptional>=1 character
Commas separated list of Status ids. Maximum of 100. Returns workflows where at least one task is of one of the provided statuses.
statusIds.noneOfstringOptional>=1 character
Commas separated list of Status ids. Returns workflows where none of the tasks are of any of the provided statuses.
statusIds.onlystringOptional>=1 character
Commas separated list of Status ids. Returns workflows where all of the tasks are of one of the provided statuses.
namestringOptional
The name of the workflow task group
nameIncludesstringOptional
Part of the name of the workflow task group
creatorIdsstringOptional
Comma separated list of user IDs.
modifiedAtstringOptional

Datetime, in RFC 3339 format. Supports the > and < operators. Time zone defaults to UTC. Restricts results to those modified in the specified range. e.g. > 2017-04-30. Date ranges can be specified with the following nomenclature > YYYY-MM-DD AND <YYYY-MM-DD.

nextTokenstringOptional
pageSizeintegerOptional0-100Defaults to 50
displayIdsstringOptional

Comma-separated list of Workflow Display IDs.

archiveReasonstringOptional

Archive reason. Restricts items to those with the specified archive reason. Use “NOT_ARCHIVED” to filter for unarchived workflow task groups. Use “ANY_ARCHIVED” to filter for archived workflow task groups regardless of reason. Use “ANY_ARCHIVED_OR_NOT_ARCHIVED” to return items for both archived and unarchived.

Response

OK
nextTokenstringOptional
workflowTaskGroupslist of objectsOptional

Errors

400
Bad Request Error